Subject: newspaper story

From: mlaffert <[email-masked]>
Date: Thu, 09 Feb 2006 09:50:06 -0500

I'm the science writer for the Columbus Dispatch newspaper in Columbus, 
Ohio. I'm doing a story involving Darwin Day. Could you please either send 
me a telephone number so i can contact you or call me at 614.461.5256. Mike 
Lafferty, science writer, Columbus Dispatch